<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_create_default_unit" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_createDefaultUnit - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: int krui_createDefaultUnit();
/*****************************************************************************
  FUNCTION : ann_create_default_unit
  PURPOSE  :  
  NOTES    :  
  RETURNS  : 
  
  
  Returns (positive) unit id otherwise.
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_create_default_unit</refname>

    <refpurpose>Creates a unit with default properties.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[unit_id] = ann_create_default_unit(network);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>unit_id</term>

        <listitem>
          <para>Unit id of the newly created unit.</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>Default properties include:
              1. default activation and output functions
              2. default activation and bias
              3. default position, subnet and layer number
              4. no functionality type
              5. no sites
              6. no inputs and outputs
              7. no unit_name
  
  
    See file "kr_def.h" for more details about default presettings.Function
    has no effect on the current unit.

    Error if memory allocation fails or invalid functions occured.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
